<p:fieldset xmlns="http://www.w3.org/1999/xhtml"
            xmlns:ui="http://java.sun.com/jsf/facelets"
            xmlns:f="http://java.sun.com/jsf/core"
            xmlns:h="http://java.sun.com/jsf/html"
            xmlns:fn="http://java.sun.com/jsp/jstl/functions"
            xmlns:p="http://primefaces.org/ui">

    <!-- 
IGAC proyecto SNC
@author 		david.cifuentes
@version 		2.0
@description	tabla que muestra los trámites asociados a una resolución.
@cu 			CU-CO-R-01

    -->

    <legend>
        <h:outputText value="Trámites asociados a una resolución"
                      styleClass="legendTitle" />
    </legend>


    <h:form id="tramitesAsociadosAResolucionForm">

        <p:spacer height="20" />
        <h:panelGrid columns="5">
            <h:outputLabel value="Número de Resolución: "
                           styleClass="outputLabelStyle" />
            <p:commandLink styleClass="commandLinkStyle"
                           onstart="statusDialog2.show()"
                           oncomplete="statusDialog2.hide();visorResolucionWV.show();"
                           action="#{gestionarSolicitudes.cargarResolucionPorNumeroResolucion}"
                           update=":viewResolucion:vistaMemoForm">
                <h:outputText
                    value="#{managedBeanParam.documentoResolucionVG.numeroDocumento}"
                    styleClass="commandLinkStyle" />
            </p:commandLink>

            <p:spacer width="20" />

            <h:outputLabel value="Estado: " styleClass="outputLabelStyle" />
            <h:outputText
                value="#{managedBeanParam.documentoResolucionVG.estado}"
                id="DocumentoEstadoV">
                <f:converter converterId="converterCB" for="DocumentoEstadoV" />
            </h:outputText>
        </h:panelGrid>
        <p:spacer height="13" width="0" />

        <p:panel header="Información de Trámites" toggleable="false">

            <h:panelGrid columns="3" cellspacing="7">
                <p:spacer height="7" width="7" />
                <h:outputLabel value="Nota:" styleClass="noteLabelStyle" />
                <h:outputText
                    value="Debe selecciónar un trámite para que sea agregado a la lista."
                    styleClass="noteTextStyle" />
            </h:panelGrid>
            <p:spacer height="7" width="7" />
            <p:dataTable
                value="#{managedBeanParam.listTramitesBuscadosPorCriterio}"
                rendered="#{managedBeanParam.solicitudSeleccionada.viaGubernativa}"
                rowKey="#{tramiteBuscViaGub.id}" var="tramiteBuscViaGub"
                widgetVar="tramiteBuscViaGub" id="tablaTramitesBuscViaGub"
                paginator="true" rows="10"
                paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                paginatorPosition="bottom" rowsPerPageTemplate="10,20,30"
                selectionMode="single"
                selection="#{managedBeanParam.selectedTramiteGubernativaBuscado}"
                emptyMessage="No se encontraron trámites">

                <p:ajax event="rowSelect"
                        update=":tramitesAsociadosAResolucionForm:panelBtnViaGub" />
                <p:ajax event="rowUnselect"
                        listener="#{managedBeanParam.onSelectTramiteGubernativaRow}"
                        update=":tramitesAsociadosAResolucionForm:panelBtnViaGub" />
                <p:ajax event="rowEdit"
                        update=":tramitesAsociadosAResolucionForm:panelBtnViaGub" />

                <p:column headerText="Número de radicación">
                    <h:outputText value="#{tramiteBuscViaGub.numeroRadicacion}" />
                </p:column>

                <p:column headerText="Fecha de radicación">
                    <h:outputText value="#{tramiteBuscViaGub.fechaRadicacion}">
                        <f:convertDateTime pattern="dd/MM/yyyy" locale="es" />
                    </h:outputText>
                </p:column>

                <p:column headerText="Tipo de Trámite">
                    <h:outputText value="#{tramiteBuscViaGub.tipoTramite}"
                                  id="TramiteTipoTramiteV">
                        <f:converter converterId="converterCB" for="TramiteTipoTramiteV" />
                    </h:outputText>
                </p:column>

                <p:column headerText="Departamento">
                    <h:outputText value="#{tramiteBuscViaGub.departamento.nombre}" />
                </p:column>

                <p:column headerText="Municipio">
                    <h:outputText value="#{tramiteBuscViaGub.municipio.nombre}" />
                </p:column>

                <p:column headerText="Número Predial">
                    <h:outputText value="#{tramiteBuscViaGub.predio.numeroPredial}" />
                </p:column>

            </p:dataTable>

            <p:dataTable
                value="#{managedBeanParam.listTramitesBuscadosPorCriterio}"
                rendered="#{managedBeanParam.solicitudSeleccionada.revocatoriaDirecta}"
                rowKey="#{tramiteBuscRevoDir.id}" var="tramiteBuscRevoDir"
                widgetVar="tramiteBuscRevoDir" id="tablaTramitesBuscRevoDir"
                paginator="true" rows="10"
                paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                paginatorPosition="bottom" rowsPerPageTemplate="10,20,30"
                selectionMode="multiple"
                selection="#{managedBeanParam.selectedTramitesGubernativaBuscados}"
                emptyMessage="No se encontraron trámites">

                <p:ajax event="rowSelect"
                        update=":tramitesAsociadosAResolucionForm:panelBtnViaGub" />
                <p:ajax event="rowEdit"
                        update=":tramitesAsociadosAResolucionForm:panelBtnViaGub" />
                <p:ajax event="rowUnselect"
                        listener="#{managedBeanParam.onSelectTramiteGubernativaRow}"
                        update=":tramitesAsociadosAResolucionForm:panelBtnViaGub" />

                <p:column headerText="Número de radicación">
                    <h:outputText value="#{tramiteBuscRevoDir.numeroRadicacion}" />
                </p:column>

                <p:column headerText="Fecha de radicación">
                    <h:outputText value="#{tramiteBuscRevoDir.fechaRadicacion}" >
                        <f:convertDateTime pattern="dd/MM/yyyy" locale="es" />
                    </h:outputText>
                </p:column>

                <p:column headerText="Tipo de Trámite">
                    <h:outputText value="#{tramiteBuscRevoDir.tipoTramite}" />
                </p:column>

                <p:column headerText="Departamento">
                    <h:outputText value="#{tramiteBuscRevoDir.departamento.nombre}" />
                </p:column>

                <p:column headerText="Municipio">
                    <h:outputText value="#{tramiteBuscRevoDir.municipio.nombre}" />
                </p:column>

                <p:column headerText="Número Predial">
                    <h:outputText value="#{tramiteBuscRevoDir.predio.formattedNumeroPredialCompleto}" />
                </p:column>

            </p:dataTable>
        </p:panel>

        <h:panelGrid columns="2" cellspacing="7" id="panelBtnViaGub">
            <p:spacer width="7" height="0"
                      rendered="#{managedBeanParam.solicitudSeleccionada.revocatoriaDirecta}" />
            <p:commandButton value="Aceptar" id="aceptarBtnRevoDir"
                             rendered="#{managedBeanParam.solicitudSeleccionada.revocatoriaDirecta}"
                             disabled="#{fn:length(managedBeanParam.selectedTramitesGubernativaBuscados) eq 0}"
                             update=":nuevoTramiteSolForm:tablaTramitesViaGubernativaEdicion"
                             action="#{managedBeanParam.actualizarTablaTramitesViaGubernativa}"
                             onstart="statusDialog2.show();"
                             oncomplete="statusDialog2.hide();tablaBusquedaTramitePorPredioWV.hide()">
            </p:commandButton>

            <p:spacer width="7" height="0"
                      rendered="#{managedBeanParam.solicitudSeleccionada.viaGubernativa}" />
            <p:commandButton value="Aceptar" id="aceptarBtnViaGub"
                             rendered="#{managedBeanParam.solicitudSeleccionada.viaGubernativa}"
                             disabled="#{fn:length(managedBeanParam.selectedTramitesGubernativaBuscados) gt 0}"
                             update=":nuevoTramiteSolForm:tablaTramitesViaGubernativaEdicion"
                             action="#{managedBeanParam.actualizarTablaTramitesViaGubernativa}"
                             onstart="statusDialog2.show();"
                             oncomplete="statusDialog2.hide();tablaBusquedaTramitePorPredioWV.hide()">
            </p:commandButton>

        </h:panelGrid>
    </h:form>
</p:fieldset>